Install 2.1.x on a Mac

I am trying to install Phalcon 2.1.x on PHP7. I also have Phalcon 2.0.10 compiled and working using older version of PHP.

So first I changed the PATH to the PHP7 installation, then cloned cphalcon, switched to 2.1.x, cloned zephir and ran sudo ./install -c on zephir and there was no output, however, zephir version returns 0.9.3a-dev-5c28295449.

Now when I try to build Phalcon it returns this:

Mike-MacBookAir:cphalcon mike$ zephir build --backend=ZendEngine3
zephir_parser extension not loaded, compiling it
./build_linux.sh: line 9: re2c: command not found
error: re2c is not installed
make: *** No rule to make target `clean'.  Stop.
Preparing for parser compilation...
sh: ./configure: No such file or directory
Compiling the parser...
make: *** No targets specified and no makefile found.  Stop.


Zephir\Exception: The zephir parser extension could not be found or compiled!

Anyone tried this on a Mac?

brew install re2c

?

edited Jun '16
Mike-MacBookAir:re2c-0.16 mike$ brew install re2c
Warning: You are using OS X 10.11.
We do not provide support for this pre-release version.
You may encounter build failures or other breakage.
==> Downloading https://downloads.sourceforge.net/project/re2c/re2c/0.14.3/re2c-

curl: (22) The requested URL returned error: 404 Not Found
Error: Failed to download resource "re2c"
Download failed: https://downloads.sourceforge.net/project/re2c/re2c/0.14.3/re2c-0.14.3.tar.gz

Guess I'm lucky. Tried to build it using the one on re2c website but it's full of errors.

Edit: Managed to compile it (forgot to install autotools).

Now it's giving me this:

Mike-MacBookAir:cphalcon mike$ zephir build --backend=ZendEngine3
zephir_parser extension not loaded, compiling it
Parser statistics: 127 terminals, 99 nonterminals, 459 rules
                   947 states, 0 parser table entries, 0 conflicts
Parser statistics: 127 terminals, 99 nonterminals, 459 rules
                   947 states, 0 parser table entries, 0 conflicts
make: *** No rule to make target `clean'.  Stop.
Preparing for parser compilation...
sh: ./configure: No such file or directory
Compiling the parser...
make: *** No targets specified and no makefile found.  Stop.


Zephir\Exception: The zephir parser extension could not be found or compiled!

Well don't know what's going on now, im not using mac os to be honest.

Sorry to be digging this question, has anyone using Mac manage to get 2.1 working?